/*顶部官方导航栏*/
#top_nav { display: none;};
/* 「评论列表」和「发表评论」和「随笔分类」和「相册」这几个个title */
.feedback_area_title, 
#commentform_title, 
h1.entrylistTitle,
h1.thumbTitle {
	font-weight: bold;
}

h1.entrylistTitle {
	font-size: 20px;
}

/*打开相册的某一个图片*/
#ViewPicture1_GalleryImage {
	max-width: 100%;
}


/* 评论区评论者的subtitle */
.feedbackListSubtitle {
	padding: 10px;
	font-size: 13px;
}
/*评论区的文字区域*/
.feedbackCon {
	font-size: 14px;
	line-height: 1.8;
	min-height: auto;
	border: none;
	margin: 0 0;
	padding: 0px 20px 10px 10px;
}


/* 评论区的textArea */
#comment_form_container .comment_textarea {
	width: 100%;
}
#tbCommentBody {
	min-height: 200px;
}



/* 评论区的每一条评论 */
.feedbackItem {
	margin: 20px auto;
	border-radius: 10px;
	background: aliceblue;
	color: grey;
}


/* 标题的Logo */
#blogLogo {
	float: left;
	height: 60px;
	margin-right: 20px;
/* 	display: none; */
}

/* 标题与Logo中线对齐 */
#blogTitle {
/* 	display: none; */
/*     margin-left: 60px; */
}
#blogTitle > h1 {
	line-height: 70px;
	font-family: "Chalkduster","Segoe Script", Arial, "Helvetica Neue", Helvetica, sans-serif;
	font-size: 30px;
    margin: 10px 20px;
/*     display: flex; */
/*     justify-content: center; */
    padding: 0;
}

/* 首页header的菜单 */
div#navigator {
	border: none;
	height: auto;
	margin: 0;
}

ul#navList {
	width: 92%;
	border-top: 1px solid #ccc;
	border-bottom: 1px solid #ccc;
	margin-top: 10px;
	margin-bottom: 25px;
	/* 	min-height: 0px; */
	/* 	float: right; */
}

#navList > li {
	margin: 15px 15px;
/* 	display: inline; */
/* 	margin: auto; */
/* 	float: right; */
	position: relative;
}

#navList a {
	width: auto;
	padding: 0;
    font-size: 13.5px;
}


/*主页菜单栏的右侧部分，显示文章，评论数目等*/
.blogStats {
	display: none;
}
/* 首页右侧的sidebar，本来用于显示日历，随笔分类等内容 */
#sideBar {
	display: none;
}

#main {
	margin: 0;
}

/*博文主体内容占据版面，忽略侧边信息栏*/
#mainContent {
	width: 116%;
	margin-left: -210px;
	margin-top: 10px;
}

/* 首页的整个header */
#header {
	margin-left: 50px;
}
/*整个页面*/
#home {
	border-radius: 10px;
/* 	margin: 0; */
/* 	width: 100%; */
/* 	padding: 0px; */
}

/*首页文章List“编辑”, “阅读”， “评论”三个信息项*/
div.day > div.postDesc a,
div.day > div.postDesc span {
	display: none;
}
/* 首页文章List标题，消除垂直对齐效果 */
div.day > div.postTitle > a.vertical-middle > * {
	vertical-align: baseline !important;
}
div.day > div.postTitle {
	box-sizing: border-box;
}


/*首页的发表时间，随笔分类的发表时间*/
.postDesc, .entrylistItemPostDesc {
	background: none;
	padding-left: 0px;
	margin-top: 0px;
	font-size: 13px;
}

/*随笔分类的list*/
.entrylistItem {
	padding: 0px;
}

/* 代码样式：包括代码块和行内代码 */
.cnblogs-markdown .hljs, .cnblogs-post-body .hljs,
.cnblogs-markdown code, .cnblogs-post-body code {
	border: none !important;
	font-size: 14px !important;
        white-space: pre-wrap;
	font-family: "monospace", "Menlo", "Fira Code Retina", "Cascadia Code", "Consolas", "Dejavu Sans Mono", "Courier New",  "Noto Serif CJK SC", sans-serif!important;

}

/* 代码块样式 */
.cnblogs-markdown .hljs, .cnblogs-post-body .hljs {
	border-radius: 10px !important;
}
/* 行内代码 */
.cnblogs-markdown code, .cnblogs-post-body code {
	margin: 0;
}

/* markdown引用 */
#topics .postBody blockquote {
	border: none;
	border-left: 5px solid CornflowerBlue;
	border-radius: 5px;
	background: aliceblue;
	color: gray;
	padding-left: 30px;
}
/* 顶部的翻页部件pager */
/* 文章末尾的推荐，上一篇，下一篇等信息的隐藏 */
/* 底部广告链接隐藏*/
/* 图片广告隐藏*/
/* 相关博文隐藏*/
/* 评论的支持与反对按钮 */
#homepage_top_pager,
#blog_post_info,
#post_next_prev,
#ad_t2,
#HistoryToday, 
.recomm-block,
.c_ad_block,
.comment_vote {
	display: none;
}



/*----------------------------------*/
/* 定制生成博客目录的CSS样式 */
/* 总体为 uprightsideBar, 分为 2 部分：
 * 1. "目录"所在的div： sideBarTab
 * 2. 各级标题所在的div: sideBarContents
 */
#uprightsideBar {
	font-size: 17px;
	text-align: left;
	position: fixed;
    /*
    将div的位置固定到距离top:150px，left:0px的位置，
    这样div就会处在最右边的位置，距离顶部150px，
    当然这两个值你可以自己改。
    */
	top: 150px;
    /* right: 0px; */
    /* left: 0px; */
	width: auto;
	height: auto;
}

#sideBarTab {
	float: left;
	width: 25px;
	border: 1px solid #ccc;
	border-radius: 6px;
	text-align: center;
	background: rgb(255,255,255);
}

#sideBarContents {
	float: left;
	overflow: auto;
	overflow-x: hidden !important;
	width: 194px;
	max-height: 320px;
	border: 1px solid #ccc;
	border-radius: 6px;
	background: #ffffff;
	padding-top: 5px;
	padding-bottom: 5px;
}

#sideBarContents dl {
	margin: 0;
	padding: 0;
}

#sideBarContents dt {
	padding: 3px 8px;
}

#sideBarContents dd,
dt {
	cursor: pointer;
}

#sideBarContents dd:hover,
dt:hover {
	color: white;
	background: #0366d6;
}

#sideBarContents dd {
	padding-left: 20px;
}



/* 下面是博客正文的css */

/*正文的字体大小(<p>), 正文列表字体大小(<li>)*/
#cnblogs_post_body p, .postBody li, .postCon li {
	font-size: 17px;
	line-height: 1.8;
	margin: 16px auto;
}

/* 博客正文二级标题，正文第一行的默认标题 */
#cnblogs_post_body h2, #topics .postTitle {
	font-size: 24px;
	padding-left: 0;
	color: #21759b;
}

/*正文子标题，即markdown中的三级标题 ### */
#cnblogs_post_body h3 {
	font-size: 20px;
	color: #21759b;
}

/* 表格自动占满页面的宽度 */
#cnblogs_post_body table {
	width: 100%;
}

/* 正文插入的图片 */
#cnblogs_post_body img {
	border-radius: 10px;
	display: block;
	margin: auto;
}
/*正文插入的超链接*/
.postBody a {
	text-decoration: none !important;
	color: #0366d6;
}
/*鼠标聚焦链接时出现下划线*/
.postBody a:hover {
    /* text-decoration: underline !important; */
	border-bottom: 1px dashed #0366d6;
}


/* 全局字体设置 */
body {
	font-family: -apple-system,BlinkMacSystemFont, "Segoe UI", "Georgia", "Sitka Text", "Noto Serif CJK SC",  "Microsoft YaHei", Arial, Helvetica, sans-serif;
}
/* 正文标题设置 */
h1, h2, h3, h4, h5, h6,
.postTitle > .postTitle2,
.entrylistPosttitle > .entrylistItemTitle {
	font-family: -apple-system,BlinkMacSystemFont,"Microsoft Yahei","Georgia","Segoe UI","Roboto",Helvetica,Arial,"PingFang SC","Hiragino Sans GB",sans-serif;
}

/* 二级菜单 */
ul.submenu {
	border-radius: 5px;
	background: rgb(230,230,230);
	opacity: 0.9;
	display: none;
	position: absolute;
    /*min-width: 135px;*/
	top: 100%;
	z-index: 1;
    /*margin-top: 7px;*/
}
/*ul.submenu:after{
    content: "";
    position: absolute;
    border-top: 7px solid transparent;
    border-right:7px solid transparent;
    border-left:7px solid transparent;
    border-bottom: 7px solid rgb(230,230,230,0.9);
    top: -14px;
    left: 15px;
}*/
.submenu li {
	width: 100%;
	padding: 5px 0px 3px 5px;
}

/* 鼠标进入时显示submenu */
#navList > li:hover ul {
	display: block;
}
/*添加代码复制按钮*/
/* .cnblogs-markdown pre {
  position: relative;
}
.cnblogs-markdown pre > span {
  position: absolute;
  top: 0;
  right: 0;
  border-radius: 2px;
  padding: 0 10px;
  font-size: 12px;
  background: rgba(0, 0, 0, 0.4);
  color: #fff;
  cursor: pointer;
  display:none;
}
.cnblogs-markdown pre:hover > span {
  display:block;
}
.cnblogs-markdown pre > .copyed {
  background: #67c23a;
} */
/*代码复制按钮结束*/

/* 页脚设置 */
#footer {
    line-height: 1.7;
    border-top: none;
    padding-top: 0;
    margin-bottom: 0;
}


/* 代码块高亮 */
.hljs-keyword, .hljs-literal, .hljs-built_in {
	color: blue;
}

.hljs-number {
	color: darkcyan;
}

.hljs-title {
	color: deeppink;
}

.hljs-meta-string {
	color: violet;
}

.hljs-string {
	color: darkviolet;
}


@media screen and (max-width: 1024px) {
	#home {
		margin: 0;
		padding: 30px !important;
	}

	#main {
		width: 100%;
		
	}

	#mainContent {
		margin-left: -260px;
		width: auto;
		margin-right: 10px;
	}

	#header {
		margin: 0 0;
	}
	#blogTitle{
		margin:0px;
	}
	ul#navList {
	    margin: 10px auto 20px 0;
	    width: 100%;
	}

	#blogTitle > h1 {
		margin-top: 0;
		font-size: 27px;
	}

	#navList > li {
		width: calc(100% / 4);
		max-width: 100px;
		margin: 15px 0px;
	}

	#uprightsideBar {
		top: 70px;
	}

	#sideBarContents {
		max-height: calc(100vh * 0.8 - 80px) !important;
		width: auto;
		max-width: calc(100vw - 50px);
		min-width: 200px;
	}

	#sideBarContents {
		
	}

	#sideBarTab, #sideBarContents {
		background: rgb(230,230,230,0.9);
		border: none;
	}

	.commentform {
		margin-left: 0 !important;
	}
	#footer {
		display: none;
	}
}



